Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.rmi
Interface RMIClientILRemote

All Superinterfaces:
  ClientIL, Remote

All Known Implementing Classes:
  RMIClientIL

public interface RMIClientILRemote
extends ClientIL, Remote

The RMI implementation of the ConnectionReceiver object

Version:
  $Revision: 1.6 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com)

Method Summary
`void` | `close()` #Description of the Method
`void` | `deleteTemporaryDestination(SpyDestination dest)` #Description of the Method
`void` | `pong(long serverTime)` #Description of the Method
`void` | `receive(ReceiveRequest[] messages)` #Description of the Method

Method Detail

### close

    public void close()
               throws Exception

  #Description of the Method

  Specified by:
    `close` in interface `ClientIL`
  Throws:
    `Exception` - Description of Exception

### deleteTemporaryDestination

    public void deleteTemporaryDestination(SpyDestination dest)
                                    throws Exception

  #Description of the Method

  Specified by:
    `deleteTemporaryDestination` in interface `ClientIL`
  Parameters:
    `dest` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### receive

    public void receive(ReceiveRequest[] messages)
                 throws Exception

  #Description of the Method

  Specified by:
    `receive` in interface `ClientIL`
  Parameters:
    `messages` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### pong

    public void pong(long serverTime)
              throws Exception

  #Description of the Method

  Specified by:
    `pong` in interface `ClientIL`
  Parameters:
    `serverTime` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.